
Redmine - Defect #1957

EMail notification for changes I make still occurs

2008-09-26 15:17 - Drarok Ithaqua

Status: Closed Start date: 2008-09-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 0.8.1   

Resolution: Fixed Affected version:  

Description

"I don't want to be notified of changes that I make myself" is checked in my user settings, and seems to work correctly when

"Autofetch commits" is used, and "Repository" is clicked.

However! It seems that the email notifications get sent out when using a cron job to run ruby script/runner

'Repository.fetch_changesets' -e production.

Database: MySQL 5.0.45-log FreeBSD port: mysql-server-5.0.45_1

Ruby: 1.8.6 (2007-09-24 patchlevel 111) [i386-freebsd7]

Rails: 2.1.0

Redmine version: "Redmine 0.7.devel (MySQL)"

SCM: svn, version 1.5.1 (r32289)

Associated revisions

Revision 2225 - 2009-01-03 17:03 - Jean-Philippe Lang

Fixed: email notification for changes I make still occurs when running Repository.fetch_changesets (#1957).

History

#1 - 2008-12-22 13:38 - Philippe Lafoucrière

same problem here, using the dev branch.

#2 - 2009-01-03 17:01 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8.1

- Resolution set to Fixed

This should be fixed by r2225.
